Skip to content

Create an epic ​

POST/api/v1/workspaces/{slug}/projects/{project_id}/epics/

Create a new epic in the specified project with the provided details.

Path Parameters ​

project_id:requiredstring

Project ID

slug:requiredstring

Workspace slug

Body Parameters ​

name:requiredstring

Name of the epic.

description_html:optionalstring

HTML-formatted description of the epic.

state_id:optionalstring

ID of the state (status) to assign to the epic.

parent_id:optionalstring

ID of the parent work item.

priority:optionalstring

Priority level. Possible values: none, urgent, high, medium, low.

start_date:optionalstring

Start date of the epic in YYYY-MM-DD format.

target_date:optionalstring

Target completion date in YYYY-MM-DD format.

assignee_ids:optionalarray

List of user IDs to assign to the epic.

label_ids:optionalarray

List of label IDs to apply to the epic.

estimate_point:optionalstring

ID of the estimate point.

external_source:optionalstring

Name of the source system if importing from another tool.

external_id:optionalstring

External identifier from the source system.

Scopes ​

projects.epics:write

Create an epic
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/550e8400-e29b-41d4-a716-446655440000/epics/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Develop Mobile Application Framework",
  "description_html": "<p>Create a cross-platform mobile application framework</p>",
  "priority": "high",
  "start_date": "2025-03-01",
  "target_date": "2025-06-30"
}'
Response201
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Develop Mobile Application Framework",
  "description": {},
  "description_html": "<p>Create a cross-platform mobile application framework</p>",
  "description_stripped": "Create a cross-platform mobile application framework",
  "description_binary": null,
  "state": "550e8400-e29b-41d4-a716-446655440001",
  "priority": "high",
  "assignees": [],
  "labels": [],
  "type": "550e8400-e29b-41d4-a716-446655440002",
  "estimate_point": null,
  "point": null,
  "start_date": "2025-03-01",
  "target_date": "2025-06-30",
  "parent": null,
  "sequence_id": 57,
  "sort_order": 605535.0,
  "is_draft": false,
  "completed_at": null,
  "archived_at": null,
  "project": "550e8400-e29b-41d4-a716-446655440000",
  "workspace": "550e8400-e29b-41d4-a716-446655440003",
  "external_id": null,
  "external_source": null,
  "deleted_at": null,
  "created_at": "2025-03-01T21:23:54.645263Z",
  "updated_at": "2025-03-01T21:23:54.645263Z",
  "created_by": "550e8400-e29b-41d4-a716-446655440004",
  "updated_by": null
}